<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Welcome extends CI_Controller
{

    /**
     * Index Page for this controller.
     *
     * Maps to the following URL
     *        http://example.com/index.php/welcome
     *    - or -
     *        http://example.com/index.php/welcome/index
     *    - or -
     * Since this controller is set as the default controller in
     * config/routes.php, it's displayed at http://example.com/
     *
     * So any other public methods not prefixed with an underscore will
     * map to /index.php/welcome/<method_name>
     * @see http://codeigniter.com/user_guide/general/urls.html
     */
    public function index()
    {
        $this->load->view('welcome_message');
        /* 钉钉的免登流程
        1.获取免登授权码，用js获取
        2.获取AccessToken，用PHP调用，因为要传送appkey和appsecret，安全起见不能直接用js
        3.获取userid
        4.获取用户详情
        */
    }

    public function dashboard()
    {
        $data = array();
        //$data['boards'][] = $this->load->view('echarts/test', $data, true);

        $data['boards'][] = $this->load->view('echarts/potential_customers', $data, true);
        $data['boards'][] = $this->load->view('echarts/regular_customers', $data, true);
        $data['boards'][] = $this->load->view('echarts/inchina_customers', $data, true);
        $data['boards'][] = $this->load->view('echarts/mobile_deal', $data, true);
        $this->load->view('echarts/dashboard', $data);
    }

    public function show_me_the_data()
    {
        //转发到后端的HT2.0服务器，解决js跨域问题和隐藏后端服务器
        $url = $this->input->post('url');
        echo GET_HTTP('https://p9axztuwd7x8a7.mycht.cn' .$url);
    }



}


/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */